<template>
  <PageLayout title="代理招募" class="agentRecruitment-page-wrapper" hasBgColor :needAuth="false">
    <ContentScrollView :paddingH="false">
      <div class="agentRecruitment-page-content">
        <Image
          :src="OssAssets.mine.AgentRecruitmentBg"
          class="agentRecruitment-page-bg"
          mode="widthFix"
        />
        <div class="agentRecruitment-page-main">
          <Image
            class="agentRecruitment-page-img-item retail"
            :src="OssAssets.mine.AgentRecruitmentRetail"
            alt=""
            mode="widthFix"
          />
          <Image
            class="agentRecruitment-page-img-item brand"
            :src="OssAssets.mine.AgentRecruitmentBrand"
            alt=""
            mode="widthFix"
          />
          <Image
            class="agentRecruitment-page-img-item"
            :src="OssAssets.mine.AgentRecruitmentArea"
            alt=""
            mode="widthFix"
          />
        </div>
      </div>
    </ContentScrollView>
    <PageFooter>
      <PageFooterBtn type="primary" @click="submit">立即申请</PageFooterBtn>
    </PageFooter>
  </PageLayout>
</template>

<script setup lang="ts">
import { PageLayout } from '@/components';
import { RouterPath, OssAssets } from '@/constants';
import { Image } from '@tarojs/components';
import Taro from '@tarojs/taro';

defineOptions({
  name: 'AgentRecruitment',
});

const router = Taro.useRouter();

const promoterIdNumber = router.params?.promoterIdNumber ?? '';

function submit() {
  RouteHelper.navigateTo({
    url: promoterIdNumber
      ? `${RouterPath.applyAgent}?promoterIdNumber=${promoterIdNumber}`
      : RouterPath.applyAgent,
  });
}
</script>

<style lang="scss">
@import '@/styles/common.scss';

.agentRecruitment-page-content {
  width: 100%;
  position: relative;

  .agentRecruitment-page-bg {
    width: 100%;
    object-fit: cover;
  }

  .agentRecruitment-page-main {
    position: absolute;
    top: 930px;
    left: 0;
    width: 100%;

    .agentRecruitment-page-img-item {
      width: 100%;
      height: auto;
      object-fit: cover;

      &.retail {
        margin-bottom: 32px;
      }

      &.brand {
        margin-bottom: 20px;
      }
    }
  }
}
</style>
